Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158001 - ia64 ICE
Summary: ia64 ICE
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-17 18:51 UTC by Dave Jones
Modified: 2015-01-04 22:19 UTC (History)
1 user (show)

Fixed In Version: 4.0.0-7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-19 07:49:37 UTC


Attachments (Terms of Use)
preprocessed output (deleted)
2005-05-17 18:56 UTC, Dave Jones
no flags Details


Links
System ID Priority Status Summary Last Updated
GNU Compiler Collection 21632 None None None Never

Description Dave Jones 2005-05-17 18:51:46 UTC
natasha.build exhibits this whilst building latest kernel..

include/asm/mmu_context.h:67: warning: type qualifiers ignored on function
return type
arch/ia64/mm/init.c: In function 'check_pgt_cache':
arch/ia64/mm/init.c:105: internal compiler error: in output_5, at insn-output.c:107
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
  CHK     include/linux/compile.h
Preprocessed source stored into /tmp/ccdoEB8k.out file, please attach this to
your bugreport.
make[1]: *** [arch/ia64/mm/init.o] Error 1
make: *** [arch/ia64/mm] Error 2
make: *** Waiting for unfinished jobs....

Comment 1 Dave Jones 2005-05-17 18:56:44 UTC
Created attachment 114478 [details]
preprocessed output

Comment 2 Jakub Jelinek 2005-05-17 19:41:12 UTC
Simplified testcase that ICEs at -O2:
struct S
{
  void *s[256];
};

struct T
{
  long t[23];
  struct S *u;
};

extern struct T
#ifdef __ia64__
__attribute__((model (small)))
#endif
v;

void *
foo (void)
{
  return v.u->s[0];
}


Comment 3 Dave Jones 2005-05-18 00:24:30 UTC
the bizarre thing -- this code hasnt changed recently, and it has built fine in
the previous build. Did we recently upgrade the gcc in the buildroot ?


Comment 4 Jakub Jelinek 2005-05-19 07:49:37 UTC
Should be fixed in gcc-4.0.0-7.


Note You need to log in before you can comment on or make changes to this bug.